# Uses of Interface
javax.xml.stream.events.XMLEvent

Packages that use XMLEvent
Package
Description
javax.xml.stream
Defines interfaces and classes for the Streaming API for XML (StAX).
javax.xml.stream.events
Defines event interfaces for the Streaming API for XML (StAX).
javax.xml.stream.util
Provides utility classes for the Streaming API for XML (StAX).

## Uses of XMLEvent in javax.xml.stream

Methods in javax.xml.stream that return XMLEvent
Modifier and Type
Method
Description
`XMLEvent`
XMLEventReader.`nextEvent()`
Gets the next XMLEvent.
`XMLEvent`
XMLEventReader.`nextTag()`
Skips any insignificant space events until a START_ELEMENT or END_ELEMENT is reached.
`XMLEvent`
XMLEventReader.`peek()`
Check the next XMLEvent without reading it from the stream.
Methods in javax.xml.stream with parameters of type XMLEvent
Modifier and Type
Method
Description
`boolean`
EventFilter.`accept​(XMLEvent event)`
Tests whether this event is part of this stream.
`void`
XMLEventWriter.`add​(XMLEvent event)`
Add an event to the output stream Adding a START_ELEMENT will open a new namespace scope that will be closed when the corresponding END_ELEMENT is written.

## Uses of XMLEvent in javax.xml.stream.events

Subinterfaces of XMLEvent in javax.xml.stream.events
Modifier and Type
Interface
Description
`interface`
`Attribute`
An interface that contains information about an attribute.
`interface`
`Characters`
This describes the interface to Characters events.
`interface`
`Comment`
An interface for comment events
`interface`
`DTD`
This is the top level interface for events dealing with DTDs
`interface`
`EndDocument`
A marker interface for the end of the document
`interface`
`EndElement`
An interface for the end element event.
`interface`
`EntityDeclaration`
An interface for handling Entity Declarations This interface is used to record and report unparsed entity declarations.
`interface`
`EntityReference`
An interface for handling Entity events.
`interface`
`Namespace`
An interface that contains information about a namespace.
`interface`
`NotationDeclaration`
An interface for handling Notation Declarations Receive notification of a notation declaration event.
`interface`
`ProcessingInstruction`
An interface that describes the data found in processing instructions
`interface`
`StartDocument`
An interface for the start document event
`interface`
`StartElement`
The StartElement interface provides access to information about start elements.

## Uses of XMLEvent in javax.xml.stream.util

Methods in javax.xml.stream.util that return XMLEvent
Modifier and Type
Method
Description
`XMLEvent`
XMLEventAllocator.`allocate​(XMLStreamReader reader)`
This method allocates an event given the current state of the XMLStreamReader.
`XMLEvent`
EventReaderDelegate.`nextEvent()`
`XMLEvent`
EventReaderDelegate.`nextTag()`
`XMLEvent`
EventReaderDelegate.`peek()`
Methods in javax.xml.stream.util with parameters of type XMLEvent
Modifier and Type
Method
Description
`void`
XMLEventConsumer.`add​(XMLEvent event)`
This method adds an event to the consumer.